Package com.sap.ai.sdk.grounding.model

# Enum Class GoogleDriveConfig.ResourceTypeEnum

java.lang.Object
java.lang.Enum<GoogleDriveConfig.ResourceTypeEnum>
com.sap.ai.sdk.grounding.model.GoogleDriveConfig.ResourceTypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<GoogleDriveConfig.ResourceTypeEnum>`, `Constable`

Enclosing class:
  `GoogleDriveConfig`

public static enum GoogleDriveConfig.ResourceTypeEnum extends Enum<GoogleDriveConfig.ResourceTypeEnum>
Gets or Sets resourceType

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SHARED_DRIVE`
  The SHARED_DRIVE option of this GoogleDriveConfig
  `SHARED_FOLDER`
  The SHARED_FOLDER option of this GoogleDriveConfig
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this GoogleDriveConfig

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GoogleDriveConfig.ResourceTypeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static GoogleDriveConfig.ResourceTypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GoogleDriveConfig.ResourceTypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHARED_FOLDER

    public static final GoogleDriveConfig.ResourceTypeEnum SHARED_FOLDER
    The SHARED_FOLDER option of this GoogleDriveConfig

  - ### SHARED_DRIVE

    public static final GoogleDriveConfig.ResourceTypeEnum SHARED_DRIVE
    The SHARED_DRIVE option of this GoogleDriveConfig

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final GoogleDriveConfig.ResourceTypeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this GoogleDriveConfig

- ## Method Details

  - ### values

    public static GoogleDriveConfig.ResourceTypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GoogleDriveConfig.ResourceTypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<GoogleDriveConfig.ResourceTypeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static GoogleDriveConfig.ResourceTypeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type GoogleDriveConfig